summaryrefslogtreecommitdiff
path: root/office/broffice.org/broffice.org.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/broffice.org/broffice.org.SlackBuild')
-rw-r--r--office/broffice.org/broffice.org.SlackBuild54
1 files changed, 35 insertions, 19 deletions
diff --git a/office/broffice.org/broffice.org.SlackBuild b/office/broffice.org/broffice.org.SlackBuild
index afa4ed6be8..103724a40d 100644
--- a/office/broffice.org/broffice.org.SlackBuild
+++ b/office/broffice.org/broffice.org.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for OpenOffice.org
-# Copyright 2006-2009 Robby Workman, Northport, Alabama, ASA
+# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,15 +22,9 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Thanks to Sandman1, Larhzu, and MacIver for early assistance.
-# Thanks to Fred Emmott (http://slamd64.com) for some better code in a few
-# places and ideas to include the Optimization Solver and disable javaldx.
-# Thanks to hba for the idea to include support for other languages.
-# Thanks to Nille Akerstrom for the diff to support w/JRE tarballs
-
PRGNAM=broffice.org
-VERSION=3.0.1
-ARCH=i586 # The binaries are built for i586 - leave this alone
+VERSION=3.1.1
+ARCH=${ARCH:-i586}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -46,32 +40,47 @@ PKG_LANG=$(echo $OOLANG | sed s/-/_/) # Leave this alone
# If you want to disable java support by removing executable permissions
# form OOo's java loader (this will not affect other apps), set this
# variable to "YES" Default is "NO"
-# According to Fred Emmott, this is *highly* desirable on 64 bit systems
DISABLE_JAVA=${DISABLE_JAVA:-NO}
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="X86-64"
+ PKGARCH="$ARCH"
+else
+ SRCARCH="Intel"
+ PKGARCH="i586"
+fi
+
# Yes, I know there is a Slackware integration file in the desktop-integration
# directory, but it's worthless to us. I'd prefer to do things correctly.
# Ignore this - it's just to get the toplevel directory name of the
# extracted tarball archive
-SOURCEDIR=$(tar tzf $CWD/BrOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz | head -1 | tr -d \/)
+SOURCEDIR=$(tar tzf $CWD/BrOOo_${VERSION}_Linux${SRCARCH}_install_${OOLANG}.tar.gz | head -1 | tr -d \/)
+
+# If the above operation failed for some reason, unset SOURCEDIR so that
+# the "set -eu" below will cause us to bail out with an error
+[ -z $SOURCEDIR ] && unset SOURCEDIR
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$SOURCEDIR
-tar xvf $CWD/BrOo_${VERSION}_LinuxIntel_install_${OOLANG}.tar.gz -C $TMP
+tar xvf $CWD/BrOOo_${VERSION}_Linux${SRCARCH}_install_${OOLANG}.tar.gz -C $TMP
cd $TMP/$SOURCEDIR/RPMS/
mv desktop-integration/*-freedesktop-menus-*.rpm .
-rm *onlineupdate*.rpm *ooofonts*.rpm # We don't want/need these
+rm *onlineupdate*.rpm # We don't want/need this
for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
rm -rf desktop-integration *.rpm
mv opt usr $PKG
cd $PKG
+# Kill a broken symlink
+rm -f $PKG/usr/share/applications/startcenter.desktop
+
# Create symlinks in /usr/bin to actual binaries
cd $PKG/usr/bin
for FILE in \
@@ -81,16 +90,23 @@ cd $PKG/usr/bin
done
cd -
+# Remove DejaVu and Liberation fonts - these are included in other packages
+rm -f opt/openoffice.org/basis3.1/share/fonts/truetype/[DL]*.ttf
+
# Fix Exec commands in the desktop files
# See http://bugzilla.xfce.org/show_bug.cgi?id=2430
-patch -p1 < $CWD/desktop-file-fix-${VERSION}-${PKG_LANG}.diff
+cd $PKG/opt/broffice.org3/share/xdg/
+ for APP in base calc draw impress math writer; do
+ sed -i 's%Exec=broffice.org3 -%Exec=s%' $APP.desktop ;
+ done
+cd -
-# Install dictionary extensions for spellchecking
+# Install extensions
UNOPKG_BIN=$PKG/opt/broffice.org3/program/unopkg
DICT_DIR=$PKG/opt/broffice.org3/share/extension/install
if [ -x "$UNOPKG_BIN" ]; then
UNOPKG_TMP=$TMP/$$$$$$
- find $DICT_DIR -type f -name "dict-*.oxt" \
+ find $DICT_DIR -type f -name "*.oxt" \
-exec $UNOPKG_BIN add --shared {} \
"-env:UserInstallation=file:///$UNOPKG_TMP" \;
rm -rf $UNOPKG_TMP # Clean up after ourselves
@@ -105,7 +121,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Disable Java support if desired (see above)
if [ "$DISABLE_JAVA" = "YES" ]; then
- chmod -x $PKG/opt/broffice.org/ure/bin/javaldx
+ chmod -x $PKG/opt/openoffice.org/ure/bin/javaldx
fi
mkdir -p $PKG/install
@@ -116,4 +132,4 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
chown -R root:root .
find . -type d -exec chmod 755 {} \;
chmod -R u+rw,go+r-w,a-s .
-/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}